aboutsummaryrefslogtreecommitdiffstats
path: root/CAN-binder/can_samples/init_can.sh
diff options
context:
space:
mode:
authorRomain Forlot <romain.forlot@iot.bzh>2017-04-14 13:24:07 +0200
committerRomain Forlot <romain.forlot@iot.bzh>2017-04-14 13:24:07 +0200
commit49fe0eec8f17698fc5f86d0abe01777af1fb2b23 (patch)
tree356cd3e3261934a3fb90786e1789ee4ad001cbe5 /CAN-binder/can_samples/init_can.sh
parent044ef27d3667a114964549f89c63ab1ea6655877 (diff)
Change directory architecture to use 2 separated projects.
Each projects, binder and generator, has to be compiled separatly. CAN-binder will host high and low level binding CAN-config-generator only the generator used for low level binding. build.sh script just launch both build in their respective dir. Change-Id: Ic77932660fcca507b23a631d4e4e790f608880ae Signed-off-by: Romain Forlot <romain.forlot@iot.bzh>
Diffstat (limited to 'CAN-binder/can_samples/init_can.sh')
-rwxr-xr-xCAN-binder/can_samples/init_can.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/CAN-binder/can_samples/init_can.sh b/CAN-binder/can_samples/init_can.sh
new file mode 100755
index 00000000..a7900343
--- /dev/null
+++ b/CAN-binder/can_samples/init_can.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+CAN_DEVICE=can0
+CAN_BITRATE=500000
+
+echo "Check if CAN module loaded:"
+lsmod | grep can > /dev/null
+if [ "$?" -ne "0" ]; then
+ echo -e "\tCAN module is not loaded, loading it..."
+ sudo modprobe can
+ if [ "$?" -ne "0" ]; then
+ echo -e "\tFAILED to load CAN module !"
+ exit 1
+ fi
+ echo -e "\tCAN module loaded."
+fi
+
+echo "Setup connection:"
+sudo ip link set $CAN_DEVICE type can bitrate $CAN_BITRATE
+if [ "$?" -ne 0 ]; then
+ echo -e "\tFAILED to configure $CAN_DEVICE interface !"
+ exit 2
+fi
+
+sudo ip link set up $CAN_DEVICE
+if [ "$?" -ne 0 ]; then
+ echo -e "\tFAILED to enable $CAN_DEVICE interface !"
+ exit 3
+fi
+
+echo "Ready to use $CAN_DEVICE !"
+